I want to publish my application in playstore with SDK 30

Update, not new release

Google said they have detected requestLegacyExternalStorage code in manifest....
So, now I can easily remove that code from manifest. But I just want to be very sure about that. Coz google never give a 2nd chance. So, please help.

Why are you telling us this now?

Then you can update your app with the current AI2 version without any problems (until the end of Oct 2021). There is also no reason to remove requestLegacyExternalStorage from the Manifest, as this is only ignored with targetSdkVersion = 30. (The current AI2 version targets Androit 10 (SDK 29).

See also here:

Thanks for the information

how long wait for sdk 30? please update

Please see the second post.

days ,month .my mood off :sleepy: :sweat:

can u tell me why other app builder has sdk 30?like niotron

How is niotron providing SDK 30? When app inventor can't even complete it?

Please ask on that community, they will have the answer

i agree with you all right

No i was asking that because it's confusing because those builder do use app inventor's source code. Or I'm i wrong?

Do they? Seems unlikely given AI2 is not yet targeting API30, other than on the test server... :thinking:
You need to ask on Niotron Community if you need to understand how they have done it...

Well let's see if they can answer this question.

Like how?

Yes, other distros are based on AI2, but also change some things. This is obviously the case with Niotron, because they use a different source code for the File component (than it is currently implemented on the AI2 test server).

Oh i see well that's makes sense. Well then i got my coffee time to wait I guess....

Other commercial builders, some functions are paid. Also, these builders are focused on building commercial apps that are placed in the Google store. Therefore, a quick update is important there.
AppInventor is a platform primarily for learning. The MIT team does not put the publishing of apps on the Google Store first, as it is not very much needed when learning to code.

@Anke
I tried niotron and saw that, there also exist requestLegacyExternalStorage=true in niotron builder.
According to my problem (google said), Is it safe to use sdk 30. Please explain in details if possible.

https://developer.android.com/about/versions/11/privacy/storage#scoped-storage

1 Like